;ͻ
; Programm  Versuch4.asm                                                  
;                                                                         
; Compiler  Turbo Assembler 3.0, TASMX-Oberflaeche 1.54                   
;                                                                         
; Datum     Karlsruhe, den 04.07.94                                       
;                                                                         
; Gruppe                                                                  
;                                                                         
; Autor     Hartung Wilstermann & Ingo Gabriel                            
;Ķ
; Inhalt    Serielle Datenuebertragung mit dem 8250A                      
;ͼ

;ͻ
; Programmkopf                                                             
;ͼ
	TITLE 'Mikrorechnerpraktikum 1'
	P486			;Prozessortyp angeben, 486 Code zulassen
	DOSSEG			;Segmente DOS-konform anordnen
	.MODEL USE16 SMALL	;Speichermodell auswaehlen
	STACK   100h		;Stackgroee definieren

;ͻ
; Konstanendeklaration                                                     
;ͼ
	MSDOS		equ 21h	;MS-DOS Interruptnummer
	EXIT   	 	equ 4Ch	;Programmende

;Ŀ
; Register (Umbennenung erlaubt und erwuenscht!!!)                        
;
        SHReg           equ 03E8h 	;Sendehalteregister
	LStatReg        equ 03EDh 	;Leitungsstatusregister
	LSteuReg        equ 03EBh 	;Leitungssteuerregister
	IFReg           equ 03E9h 	;Interruptfreigaberegister

;Ŀ
; Druckersteuerzeichen (Beispiele => Werte anpassen!!!)                   
;
        PrinterReset 	equ 1Bh, 40h    ;ESC @ = Drucker initialisieren
        FettEin     	equ 1Bh, 45h  	;ESC E = Fettdruck aktivieren
        FettAus     	equ 1Bh, 46h  	;ESC F = Fettdruck deaktivieren


;ͻ
; Variablendeklaration mit Anfangswert                                     
;ͼ
		DATASEG

;ͻ
; Variablendeklaration ohne Anfangswert                                    
;ͼ
		UDATASEG

;ͻ
; Programmdeklaration                                                      
;ͼ
		CODESEG

;͸
; Unterprogramme                                                           
;;
;Ŀ
; Baustein 8250A initialisieren                                            
;
InitCom proc            ;8250A-Baustein initialisieren


	ret		;Ruecksprung
InitCom endp		;Unterprogramm Ende


;Ŀ
; Zeichen senden                                                           
;
SendChar proc           ;ein Zeichen senden


        ret		;Ruecksprung
SendChar endp		;Unterprogramm Ende


;͸
; Hauptprogramm                                                            
;;
Main:	mov     ax,@DATA	;Datensegment laden
	mov     ds,ax
	call 	InitCom 	;Zuruecksetzen des 8250A


	xor	ax,ax		;Programm beenden
	mov     ah,Exit
	int     msdos
end	Main

